#pragma once
#include "afxcmn.h"


// CCParkPictureDlg 对话框
#define WM_UPVEHICLEDATA WM_USER + 6

class CVehicleInfo
{
public:
	LONG m_lIndex;
	CString m_strCaptureTime;
	LONG m_lLaneID;
	LONG m_lPlateColor;
	CString m_strCarPlate;
};

VOID STDCALL MultiPicDataCallBackFun(IN NETDEV_PIC_DATA_S *pstUniviewData, IN LPVOID lpUserParam);

class CCParkPictureDlg : public CDialog
{
	DECLARE_DYNAMIC(CCParkPictureDlg)

public:
	CCParkPictureDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CCParkPictureDlg();

// 对话框数据
	enum { IDD = IDD_PARK_PICTURE_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	CListCtrl m_ctrlVehicleInfo;
	afx_msg void OnBnClickedParkStartpicButton();
	afx_msg void OnBnClickedParkClosepicButton();
	afx_msg void OnBnClickedParkCaptureButton();
	afx_msg void OnBnClickedParkCapturesysButton();
	LRESULT OnUpdateData(WPARAM wParam, LPARAM lParam);

public:
	ULONG m_index;
};
